@echo off
rem # ====================================================================
rem #
rem # OpenCCM: The Open CORBA Component Model Platform
rem # Copyright (C) 2004 INRIA - USTL - LIFL - GOAL
rem # Contact: openccm@objectweb.org
rem #
rem # This library is free software; you can redistribute it and/or
rem # modify it under the terms of the GNU Lesser General Public
rem # License as published by the Free Software Foundation; either
rem # version 2.1 of the License, or any later version.
rem #
rem # This library is distributed in the hope that it will be useful,
rem # but WITHOUT ANY WARRANTY; without even the implied warranty of
rem # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
rem # Lesser General Public License for more details.
rem #
rem # You should have received a copy of the GNU Lesser General Public
rem # License along with this library; if not, write to the Free Software
rem # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
rem # USA
rem #
rem # Initial developer(s): Philippe Merle.
rem # Contributor(s): Christophe Demarey.
rem #
rem # ====================================================================
rem #
rem # Starting the OpenCCM Comanche Server.
rem #
rem # ====================================================================
rem # $Id$
rem # ====================================================================

setlocal

rem # Check if the Comancher Server is already started.
if not exist "%OW_CONFIGDIR%\Comanche.PID" goto :do_start

echo Error: The Comanche Server is already started!
goto :eof

:do_start
echo Launching the Comanche Server...

set LAUNCHER_ARGS="%OW_HOMEDIR%/xml/launcher/Comanche.xml" %*
call openccm_launcher fork "%OW_CONFIGDIR%\Comanche.output" "%OW_CONFIGDIR%\Comanche.PID"

echo The Comanche Server is started.
