package ist.coach.coachEmsMibComponents.IpToMACAddressProviderComposition;

import org.omg.CosNaming.NameComponent;
import intt.itu.itut_x780.SourceIndicatorType;

public 	class IpToMACAddressDataStructure {

		private int ipNetToMediaIfIndex;
		private byte[] ipNetToMediaNetAddress;

		private NameComponent [] name;
		public String objectclass;
		private String [] packages;
		public SourceIndicatorType sourceIndicator;
		public short deletePolicy;
		//public NameComponent [] supportedByObjectList;

		private int notificationIdentifier;
		private String mgmtIpAddress;
		private int snmpPort;
		private int supportedSnmpVersions;


		public IpToMACAddressDataStructure() {}

		public IpToMACAddressDataStructure(
			int ipNetToMediaIfIndex,
			byte[] ipNetToMediaNetAddress,
			NameComponent [] name,
			String objectclass,
			String [] packages,
			SourceIndicatorType sourceIndicator,
			short deletePolicy,
			//NameComponent [] supportedByObjectList,
			String mgmtIpAddress,
			int snmpPort,
			int supportedSnmpVersions) {

			this.ipNetToMediaIfIndex = ipNetToMediaIfIndex;
			this.ipNetToMediaNetAddress = ipNetToMediaNetAddress;
			this.name = name;
			this.objectclass = objectclass;
			this.packages = packages;
			this.sourceIndicator = sourceIndicator;
			this.deletePolicy = deletePolicy;
//			this.supportedByObjectList = supportedByObjectList;
			this.notificationIdentifier = 0;
			this.mgmtIpAddress = mgmtIpAddress;
			this.snmpPort = snmpPort;
			this.supportedSnmpVersions = supportedSnmpVersions;

		}

		public int getUniqueNotificationIdentifier() {

			notificationIdentifier++;

			return (notificationIdentifier);
		}

		public String getObjectClass() {
			return objectclass;
		}

		public NameComponent []  getName() {
			return name;
		}

		public String[] getPackages() {
			return packages;
		}

		public SourceIndicatorType getSourceIndicator() {
			return sourceIndicator;
		}

		public short getDeletePolicy() {
			return deletePolicy;
		}

		public String getMgmtIpAddress() {
			return mgmtIpAddress;
		}

		public int getSnmpPort() {
			return snmpPort;
		}

		public int getSupportedSnmpVersions() {
			return supportedSnmpVersions;
		}

		public byte[] getipNetToMediaNetAddress() {

			if (ipNetToMediaNetAddress.length > 0)
			  return ipNetToMediaNetAddress;
			return new byte[0];
		}

		public int getipNetToMediaIfIndex() {

			return ipNetToMediaIfIndex;
		}
	}
