<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE softpkg PUBLIC "-//OMG//DTD CORBA Software Descriptor 3.0//EN" "http://openccm.objectweb.org/dtd/ccm/softpkg.dtd">
<softpkg version="0,8,0,0" name="producer">
  <title>OpenCCM demo2 Producer</title>
  <pkgtype version="">CORBA Component</pkgtype>
  <author>
    <name>OpenCCM team</name>
    <company>LIFL</company>
    <webpage href="http://openccm.objectweb.org/" xml:link="SIMPLE"></webpage>
  </author>
  <description>Illustrating a simple producer/consumers application
This is the producer component package</description>
  <license href="http://openccm.objectweb.org/license.html" xml:link="SIMPLE"></license>

  <idl homeid="IDL:ccm.objectweb.org/demo2/ProducerHome:1.0" id="IDL:ccm.objectweb.org/demo2/Producer:1.0">
    <link href="demo2.idl3" xml:link="SIMPLE"></link>
  </idl>

  <!--descriptor type="CORBA Component">
    <fileinarchive name="META-INF/producer.ccd">
    </fileinarchive>
  </descriptor-->

  <implementation variation="" id="ProducerImpl">
    <code type="Java Class">
      <fileinarchive name="archives/producer.jar">
      </fileinarchive>
      <entrypoint>org.objectweb.ccm.demo2.cif.ProducerHomeImpl.create_home</entrypoint>
    </code>
   <descriptor type="CORBA Component">
    <fileinarchive name="META-INF/producer.ccd">
    </fileinarchive>
   </descriptor>
    <compiler version="" name="JDK"/>
    <programminglanguage version="" name="Java"/>
    <os version="" name="Windows XP"/>
    <os version="2,2,17,0" name="Linux"/>
    <processor name="x86"/>
    <runtime version="1,3,1,0" name="Java VM"/>
  </implementation>

  <implementation variation="" id="ProducerWithECMImpl">
    <code type="Java Class">
      <fileinarchive name="archives/producer_ecm.jar">
      </fileinarchive>
      <entrypoint>org.objectweb.ccm.demo2.cif.ProducerHomeImpl.create_home</entrypoint>
    </code>


   <descriptor type="CORBA Component">
    <fileinarchive name="META-INF/producer.ccd">
    </fileinarchive>
   </descriptor>   
   <dependency type="HOME_CONFIG_VALUE" action="install">
    <name>HomeServantFeatureName:org.objectweb.ccm.demo2.ProducerHomeServantImpl.create_servant</name>
    </dependency>
    <dependency type="factory_install" action="install">
    <valuetypefactory
    repid="IDL:ccm.objectweb.org/demo2/Food:1.0"
    valueentrypoint="org.objectweb.ccm.demo2.cif.FoodImpl"
    factoryentrypoint="org.objectweb.ccm.demo2.cif.FoodDefaultFactory.new_instance">
        <fileinarchive name="archives/ecm_foodfactory.jar"/>        
    </valuetypefactory>
    </dependency>

    <compiler version="" name="JDK"/>
    <programminglanguage version="" name="Java"/>
    <os version="" name="Windows XP"/>
    <os version="2,2,17,0" name="Linux"/>
    <processor name="x86"/>
    <runtime version="1,3,1,0" name="Java VM"/>
  </implementation>
    
</softpkg>
