/*====================================================================

ObjectWeb Util Launcher Package.
Copyright (C) 2004 INRIA & USTL - LIFL - GOAL
Contact: openccm@objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Pierre Carpentier.
Contributor(s): .

--------------------------------------------------------------------
$Id: OptionHelp.java,v 1.1 2004/05/21 13:59:16 carpentier Exp $
====================================================================*/

package org.objectweb.util.launcher.option;


import org.objectweb.util.cmdline.lib.DefaultOptionHelp;



/**
 * Definition of the --launch_help option.<BR>
 * <p>
 * This option display help information for the launcher.
 * </p>
 *
 * @author <a href="mailto:Pierre.Carpentier@lifl.fr">Pierre Carpentier</a>
 * @version 0.1
 */
public class OptionHelp
     extends DefaultOptionHelp
{
    /**
     * Default Constructor
     */
    public OptionHelp() {
        super();
        String helpLabel [] = {"--launch_help"};
        setLabels(helpLabel);
    }
    
}
