#! /bin/sh -f
# ==================================================================== 
#                                                                      
# ObjectWeb Util Package                                               
# Copyright (C) 2000-2004 INRIA - USTL - LIFL - GOAL                   
# Contact: openccm@objectweb.org                                       
#                                                                      
# This library is free software; you can redistribute it and/or        
# modify it under the terms of the GNU Lesser General Public           
# License as published by the Free Software Foundation; either         
# version 2.1 of the License, or any later version.                    
#                                                                      
# This library is distributed in the hope that it will be useful,      
# but WITHOUT ANY WARRANTY; without even the implied warranty of       
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU     
# Lesser General Public License for more details.                      
#                                                                      
# You should have received a copy of the GNU Lesser General Public     
# License along with this library; if not, write to the Free Software  
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 
# USA                                                                  
#                                                                      
# Initial developer(s): Romain Rouvoy                                  
# Contributor(s): Christophe Demarey, Christophe Contreras.
#                                                                      
# ==================================================================== 
# $Id: envi.launcher.sh,v 1.3 2004/10/12 13:56:58 rouvoy Exp $ 
# ==================================================================== 

# Sets the environment variable used as Launcher's default HOMEDIR
#  this dir contains the JARs, XML, and other resources needed by the app
#
# IMPORTANT : in case the Launcher framework is moved in the filetree
#             this setting must be changed
export OW_HOMEDIR=@INSTALLDIR@
export OW_CONFIGDIR=@CONFIGDIR@

#
# Add binaries directory to the PATH.
#
if test "${PATH}" = ""
then
	PATH=${OW_HOMEDIR}/bin
else
	PATH=${PATH}:${OW_HOMEDIR}/bin
fi
export PATH
