/*====================================================================

OpenCCM: The Open CORBA Component Model Platform
Copyright (C) 2000-2002 USTL - LIFL - GOAL
Contact: openccm-team@objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Christophe Demarey.
Contributor(s): ______________________________________.

====================================================================*/

package org.objectweb.openccm.pss.demo1;

public class PersonBaseImpl extends ST_Person
{
    // ==================================================================
    //
    // Internal state.
    //
    // ==================================================================

    // ==================================================================
    //
    // Constructor.
    //
    // ==================================================================

    // ==================================================================
    //
    // Internal methods.
    //
    // ==================================================================

    // ==================================================================
    //
    // Public methods.
    //
    // ==================================================================

    /**
     * Local operation print
     */
    public void print()
    {
        Address adr = null;

        System.out.println( "My First name is : " + firstName() );
        System.out.println( "My Last name is : " + lastName() );
        System.out.println( "I am " + age() + " years old!");
        try{
             adr = adress();
        }catch(Exception ex){
            ex.printStackTrace();
        }
        System.out.println( "My adress is : " + adr.addressLine1() );
        System.out.println( "               " + adr.addressLine2() );
        System.out.println( "               " + adr.zip() + " " + adr.city() );
    }
}
