/*====================================================================

OpenCCM: The Open CORBA Component Model Platform
Copyright (C) 2000-2004 INRIA - USTL - LIFL - GOAL
Contact: openccm@objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Christophe Demarey.
Contributor(s): 

====================================================================*/

package org.objectweb.benchmark.ccm.latency;

/**
 * This is the implementation of the OMG IDL3 latency::Server component type.
 *
 * This class inherits from the CIF generated skeleton class defined
 * as ServerSessionComposition::ComponentImpl.
 * 
 * The provided for_clients facet is directly implemented by the
 * component class by implementing the latency::PingInterface interface.
 */

public class ServerImpl
     extends org.objectweb.benchmark.ccm.latency.ServerSessionComposition.ComponentImpl
{
    // ==================================================================
    //
    // Internal state.
    //
    // ==================================================================

    // ==================================================================
    //
    // Constructor.
    //
    // ==================================================================

    /** The default constructor. */
    public
    ServerImpl()
    {
    }

    // ==================================================================
    //
    // Internal methods.
    //
    // ==================================================================

    // ==================================================================
    //
    // Public methods.
    //
    // ==================================================================

    // ==================================================================
    //
    // Methods for OMG IDL Components::EnterpriseComponent
    //
    // ==================================================================

    // ==================================================================
    //
    // Methods for the OMG IDL org.omg.Components.SessionComponent
    //
    // ==================================================================

    // ==================================================================
    //
    // Methods for OMG IDL hello::CCM_Server_Executor
    //
    // ==================================================================

    // ==================================================================
    //
    // Methods for OMG IDL hello::CCM_HelloInterface
    //
    // ==================================================================

    /**
     * Simple ping method.
     */
    public void 
    ping()
    {
        // Nothing to do
    }
}
