package ist.coach.coachEmfClientComponents.gui;

import javax.swing.JTable;
import javax.swing.table.DefaultTableCellRenderer;
import javax.swing.table.TableCellRenderer;
import javax.swing.table.TableModel;
import java.awt.Color;

public class JAttributesTable
extends JTable {

	DefaultTableCellRenderer editableRenderer;
	DefaultTableCellRenderer readonlyRenderer;
	DefaultTableCellRenderer attributeNameRenderer;

	public JAttributesTable(TableModel dm) {
		super(dm);
		readonlyRenderer = new DefaultTableCellRenderer();
		readonlyRenderer.setForeground(Color.gray);	

		editableRenderer = new DefaultTableCellRenderer();

		attributeNameRenderer = new DefaultTableCellRenderer();
		attributeNameRenderer.setForeground(Color.blue);	
		attributeNameRenderer.setFont(new java.awt.Font("Helvetica",
												java.awt.Font.BOLD, 12));	

		getTableHeader().setFont(new java.awt.Font("Helvetica",
                                    java.awt.Font.BOLD, 14));
	}

	public TableCellRenderer getCellRenderer(int row, int column) {

		if (column == 0)
			return attributeNameRenderer;

		if (getModel().isCellEditable(row, column))
			return editableRenderer;
		else
			return readonlyRenderer;
	}
}
