package ist.coach.coachEmfServices.EmfBasicLog;

import java.sql.*;
import org.omg.CORBA.Any;
import org.omg.CORBA.TCKind;

public class AnyTypeTrans
{
	/************************************************************************/
	/* METHOD 'toDB'		 								*/
	/************************************************************************/
    	public int toDB(PreparedStatement dbStatement, int position, Any anyParam)
	{
	   TCKind J = null;

	   try
	   {
		if ((anyParam.type()).kind() == TCKind.tk_string) {
			dbStatement.setString(position, anyParam.extract_string());
			J = TCKind.tk_string;
		}
		if ((anyParam.type()).kind() == TCKind.tk_boolean) {
			dbStatement.setBoolean(position, anyParam.extract_boolean());
			J = TCKind.tk_boolean;
		}
		if ((anyParam.type()).kind() == TCKind.tk_double) {
			dbStatement.setDouble(position, anyParam.extract_double());
			J = TCKind.tk_double;
		}
		if ((anyParam.type()).kind() == TCKind.tk_float) {
			dbStatement.setFloat(position, anyParam.extract_float());
			J = TCKind.tk_float;
		}
		if ((anyParam.type()).kind() == TCKind.tk_ulong) {
			dbStatement.setInt(position, anyParam.extract_ulong());
			J = TCKind.tk_ulong;
		}
		if ((anyParam.type()).kind() == TCKind.tk_long) {
			dbStatement.setInt(position, anyParam.extract_long());
			J = TCKind.tk_long;
		}
		if ((anyParam.type()).kind() == TCKind.tk_short) {
			dbStatement.setShort(position, anyParam.extract_short());
			J = TCKind.tk_short;
		}
	   }
	   catch (Exception ex)
	   {
		System.out.println("** AnyTypeTrans: <EXCEPTION> While putting data in the PreparedStatement");
		System.out.println(ex.getMessage());
 	   }

	   return J.value();

	} // End of Method 'toDB'


	/************************************************************************/
	/* METHOD 'fromDB'	 								*/
	/************************************************************************/
	public Any fromDB(ResultSet  rs, int L, int rsPosition)	{

		org.omg.CORBA.TCKind K = null;

		K = TCKind.from_int(L);

		Any res = org.objectweb.ccm.CORBA.TheORB.getORB().create_any();

		try
		{
			if (K == TCKind.tk_string ) {
				String A = rs.getString(rsPosition);
				res.insert_string(A);
			}

			if (K == TCKind.tk_boolean ) {
				boolean B = rs.getBoolean(rsPosition);
				res.insert_boolean(B);
			}
			if (K == TCKind.tk_double ) {
				double C = rs.getDouble(rsPosition);
				res.insert_double(C);
			}
			if (K == TCKind.tk_float ) {
				float D = rs.getFloat(rsPosition);
				res.insert_float(D);
			}
			if (K == TCKind.tk_ulong ) {
				int E = rs.getInt(rsPosition);
				res.insert_ulong(E);
			}
			if (K == TCKind.tk_long ) {
				int F = rs.getInt(rsPosition);
				res.insert_long(F);
			}
			if (K == TCKind.tk_short ) {
				short G = rs.getShort(rsPosition);
				res.insert_short(G);
			}
		}
		catch(Exception ex)
	   	{
			System.err.println("** AnyTypeTrans: <EXCEPTION> While getting data from the ResultSet");
			System.err.println(ex.getMessage());

 	   	}

		return res;

	} // End of Method 'fromDB'

} // End of Class 'AnyTypeTrans'
