/*====================================================================

This file was produced by the OpenCCM CIF_JIMPL generator.

OpenCCM: The Open CORBA Component Model Platform
Copyright (C) 2000-2003 INRIA - USTL - LIFL - GOAL
Contact: openccm@objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Christophe Demarey.
Contributor(s): ______________________________________.

====================================================================*/

package ist.coach.itut_q816Components.ChannelFinderProviderComposition;

import java.util.Hashtable;
import intt.itu.itut_q816.ChannelInfoType;
/**
 *  This is the CIDL-based implementation of the
 *  OMG IDL3 CIDL:coach.ist/itut_q816Components/ChannelFinderProviderComposition/ChannelFinderProviderHome_impl/ChannelFinderProvider_impl/querySeg:1.0 segment type.
 *
 *  @author OpenCCM CIF_Jimpl Compiler.
 */
public class querySegImpl
     extends ist.coach.itut_q816Components.ChannelFinderProviderComposition.querySeg
{
    // ==================================================================
    //
    // Internal states.
    //
    // ==================================================================

    // ==================================================================
    //
    // Constructors.
    //
    // ==================================================================

    public querySegImpl()
    {
    }

    // ==================================================================
    //
    // Methods.
    //
    // ==================================================================

    /**
     * Implementation of the ::itut_q816::ChannelFinder::list operation.
     */
    public intt.itu.itut_q816.ChannelInfoType[]
    list()
    throws intt.itu.itut_x780.ApplicationError
    {
       //
        //  DONE : implement
        //
		intt.itu.itut_q816.ChannelInfoType[] channelsInfo = new intt.itu.itut_q816.ChannelInfoType[0];

		int c_size = ChannelFinderProviderImpl.channels.size();

		if (c_size > 0) {
			channelsInfo = new intt.itu.itut_q816.ChannelInfoType[c_size];
			channelsInfo =
			 (ChannelInfoType[]) ChannelFinderProviderImpl.channels.values().toArray(channelsInfo);
		}

        return channelsInfo;
    }

}
