/*====================================================================

This file was produced by the OpenCCM CIF_JIMPL generator.

OpenCCM: The Open CORBA Component Model Platform
Copyright (C) 2000-2003 INRIA - USTL - LIFL - GOAL
Contact: openccm@objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Christophe Demarey.
Contributor(s): ______________________________________.

====================================================================*/

package ist.coach.coachEmsCommon;

import intt.itu.itut_x780.SourceIndicatorType;
import ist.coach.coachEmsMib.IpRoutingEntryValueType;
import org.omg.CosNaming.NameComponent;

/**
 *  Implementation skeleton class for the IDL:coach.ist/coachEmsMib/IpRoutingEntryValueType:1.0 declaration.
 *
 *  @author OpenCCM CIF_Jimpl Compiler.
 */
public class IpRoutingEntryValueTypeImpl
     extends IpRoutingEntryValueType
{
    // ==================================================================
    //
    // Internal states.
    //
    // ==================================================================

    // ==================================================================
    //
    // Constructors.
    //
    // ==================================================================

    public IpRoutingEntryValueTypeImpl()
    {
    }

	public IpRoutingEntryValueTypeImpl(
			    byte[] ipRouteDest,
				int ipRouteIfIndex,
				int ipRouteMetric1,
				int ipRouteMetric2,
				int ipRouteMetric3,
				int ipRouteMetric4,
				byte[] ipRouteNextHop,
				int ipRouteType,
				int ipRouteProto,
				int ipRouteAge,
				byte[] ipRouteMask,
				int ipRouteMetric5,
				String ipRouteInfo,
				/* inherited from ManagedObjectValueType */
			  NameComponent [] name,
			  String objectClass,
			  String []  packages,
			  SourceIndicatorType creationSource,
			  short deletePolicy) {


		this.ipRouteDest = ipRouteDest;
		this.ipRouteIfIndex = ipRouteIfIndex;
		this.ipRouteMetric1 = ipRouteMetric1;
		this.ipRouteMetric2 = ipRouteMetric2;
		this.ipRouteMetric3 = ipRouteMetric3;
		this.ipRouteMetric4 = ipRouteMetric4;
		this.ipRouteNextHop = ipRouteNextHop;
		this.ipRouteType = ipRouteType;
		this.ipRouteProto = ipRouteProto;
		this.ipRouteAge = ipRouteAge;
		this.ipRouteMask = ipRouteMask;
		this.ipRouteMetric5 = ipRouteMetric5;
		this.ipRouteInfo = ipRouteInfo;
		this.name = name;
		this.objectClass = objectClass;
		this.packages = packages;
		this.creationSource = creationSource;
		this.deletePolicy = deletePolicy;
	  }



    // ==================================================================
    //
    // Methods.
    //
    // ==================================================================

}
