/*====================================================================

This file was produced by the OpenCCM CIF_JIMPL generator.

OpenCCM: The Open CORBA Component Model Platform
Copyright (C) 2000-2003 INRIA - USTL - LIFL - GOAL
Contact: openccm@objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Christophe Demarey.
Contributor(s): ______________________________________.

====================================================================*/

package ist.coach.coachEmsCommon;

import ist.coach.coachEmsMib.SnmpProtocolMonitorValueType;
import intt.itu.itut_x780.SourceIndicatorType;

import org.omg.CosNaming.NameComponent;
/**
 *  Implementation skeleton class for the IDL:coach.ist/coachEmsMib/SnmpProtocolMonitorValueType:1.0 declaration.
 *
 *  @author OpenCCM CIF_Jimpl Compiler.
 */
public class SnmpProtocolMonitorValueTypeImpl
     extends SnmpProtocolMonitorValueType
{
    // ==================================================================
    //
    // Internal states.
    //
    // ==================================================================

    // ==================================================================
    //
    // Constructors.
    //
    // ==================================================================

    public SnmpProtocolMonitorValueTypeImpl()
    {
        snmpInPkts = 0;
        snmpOutPkts = 0;
        snmpInBadVersions = 0;
        snmpInBadCommunityNames = 0;
        snmpInBadCommunityUses = 0;
        snmpInASNParseErrs = 0;
        snmpInTooBigs = 0;
        snmpInNoSuchNames = 0;
        snmpInBadValues = 0;
        snmpInReadOnlys = 0;
        snmpInGenErrs = 0;
        snmpInTotalReqVars = 0;
        snmpInTotalSetVars = 0;
        snmpInGetRequests = 0;
        snmpInGetNexts = 0;
        snmpInSetRequests = 0;
        snmpInGetResponses = 0;
        snmpInTraps = 0;
        snmpOutTooBigs = 0;
        snmpOutNoSuchNames = 0;
        snmpOutBadValues = 0;
        snmpOutGenErrs = 0;
        snmpOutGetRequests = 0;
        snmpOutGetNexts = 0;
        snmpOutSetRequests = 0;
        snmpOutGetResponses = 0;
        snmpOutTraps = 0;
        snmpEnableAuthenTraps = 0;
        name = null;
        objectClass = null;
        packages = null;
        creationSource = null;
        deletePolicy = 0;
    }

	public SnmpProtocolMonitorValueTypeImpl(

		long snmpInPkts,
		long snmpOutPkts,
		long snmpInBadVersions,
		long snmpInBadCommunityNames,
		long snmpInBadCommunityUses,
		long snmpInASNParseErrs,
		long snmpInTooBigs,
		long snmpInNoSuchNames,
		long snmpInBadValues,
		long snmpInReadOnlys,
		long snmpInGenErrs,
		long snmpInTotalReqVars,
		long snmpInTotalSetVars,
		long snmpInGetRequests,
		long snmpInGetNexts,
		long snmpInSetRequests,
		long snmpInGetResponses,
		long snmpInTraps,
		long snmpOutTooBigs,
		long snmpOutNoSuchNames,
		long snmpOutBadValues,
		long snmpOutGenErrs,
		long snmpOutGetRequests,
		long snmpOutGetNexts,
		long snmpOutSetRequests,
		long snmpOutGetResponses,
		long snmpOutTraps,
		int snmpEnableAuthenTraps,
		/* inherited from ManagedObjectValueType */
		NameComponent [] name,
		String objectClass,
		String []  packages,
		SourceIndicatorType creationSource,
		short deletePolicy) {

			this.snmpInPkts = snmpInPkts;
			this.snmpOutPkts = snmpOutPkts;
			this.snmpInBadVersions = snmpInBadVersions;
			this.snmpInBadCommunityNames = snmpInBadCommunityNames;
			this.snmpInBadCommunityUses = snmpInBadCommunityUses;
			this.snmpInASNParseErrs = snmpInASNParseErrs;
			this.snmpInTooBigs = snmpInTooBigs;
			this.snmpInNoSuchNames = snmpInNoSuchNames;
			this.snmpInBadValues = snmpInBadValues;
			this.snmpInReadOnlys = snmpInReadOnlys;
			this.snmpInGenErrs = snmpInGenErrs;
			this.snmpInTotalReqVars = snmpInTotalReqVars;
			this.snmpInTotalSetVars = snmpInTotalSetVars;
			this.snmpInGetRequests = snmpInGetRequests;
			this.snmpInGetNexts = snmpInGetNexts;
			this.snmpInSetRequests = snmpInSetRequests;
			this.snmpInGetResponses = snmpInGetResponses;
			this.snmpInTraps = snmpInTraps;
			this.snmpOutTooBigs = snmpOutTooBigs;
			this.snmpOutNoSuchNames = snmpOutNoSuchNames;
			this.snmpOutBadValues = snmpOutBadValues;
			this.snmpOutGenErrs = snmpOutGenErrs;
			this.snmpOutGetRequests = snmpOutGetRequests;
			this.snmpOutGetNexts = snmpOutGetNexts;
			this.snmpOutSetRequests = snmpOutSetRequests;
			this.snmpOutGetResponses = snmpOutGetResponses;
			this.snmpOutTraps = snmpOutTraps;
			this.snmpEnableAuthenTraps = snmpEnableAuthenTraps;

			this.name = name;
		    this.objectClass = objectClass;
		    this.packages = packages;
		    this.creationSource = creationSource;
		    this.deletePolicy = deletePolicy;

	}

    // ==================================================================
    //
    // Methods.
    //
    // ==================================================================

}
