package org.objectweb.util.explorer.context.api;

/**
 * 
 *
 * @author <a href="mailto:Jerome.Moroy@lifl.fr">Jrme Moroy</a>,
 *         <a href="mailto:Philippe.Merle@lifl.fr">Philippe Merle</a>.  
 * 
 * @version 0.1
 */
public interface ContextPropertiesFeeder {

    /** The name of the Fractal interface. */
    public static final String CONTEXT_PROPERTIES_FEEDER = "context-properties-feeder";
        
    /**
     * Registers the given set of <code>Decoder</code> objects.
     * @param decoders A list of <code>Decoder</code> objects.
     */
    public void addDecoder(Decoder decoder);
    
}
