@echo off
rem # ====================================================================
rem #
rem # OpenCCM: The Open CORBA Component Model Platform
rem # Copyright (C) 2000-2003 INRIA - USTL - LIFL - GOAL
rem # Contact: openccm@objectweb.org
rem #
rem # This library is free software; you can redistribute it and/or
rem # modify it under the terms of the GNU Lesser General Public
rem # License as published by the Free Software Foundation; either
rem # version 2.1 of the License, or any later version.
rem #
rem # This library is distributed in the hope that it will be useful,
rem # but WITHOUT ANY WARRANTY; without even the implied warranty of
rem # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
rem # Lesser General Public License for more details.
rem #
rem # You should have received a copy of the GNU Lesser General Public
rem # License along with this library; if not, write to the Free Software
rem # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
rem # USA
rem #
rem # Initial developer(s): Christophe Contreras
rem # Contributor(s): Philippe Merle.
rem #

rem # ====================================================================
rem #
rem # Checking if the CosNaming Service is started.
rem #
rem # ====================================================================

set NS_STARTED=1

rem # Obtain the IOR of the started CosNaming Service.
call ns_ior > %OpenCCM_CONFIG_DIR%\ns_started.tmp
for /f %%i in (%OpenCCM_CONFIG_DIR%\ns_started.tmp) do set NSIOR=%%i
del %OpenCCM_CONFIG_DIR%\ns_started.tmp

rem # Check if a CosNaming Service is started.
if defined NSIOR goto :eof

echo Error: The CosNaming Service is not started!
set NS_STARTED=0
