@echo off
rem # ====================================================================
rem #
rem # OpenCCM: The Open CORBA Component Model Platform
rem # Copyright (C) 2000-2003 INRIA & USTL - LIFL - GOAL
rem # Contact: openccm-team@objectweb.org
rem #
rem # This library is free software; you can redistribute it and/or
rem # modify it under the terms of the GNU Lesser General Public
rem # License as published by the Free Software Foundation; either
rem # version 2.1 of the License, or any later version.
rem #
rem # This library is distributed in the hope that it will be useful,
rem # but WITHOUT ANY WARRANTY; without even the implied warranty of
rem # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
rem # Lesser General Public License for more details.
rem #
rem # You should have received a copy of the GNU Lesser General Public
rem # License along with this library; if not, write to the Free Software
rem # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
rem # USA
rem #
rem # Initial developer(s): Areski Flissi
rem # Contributor(s): 
rem #
rem # ====================================================================
rem #
rem #  Installing the OpenCCM environment
rem #
rem # ====================================================================


echo Installing OpenCCM environment

set OpenCCM_CONFIG_DIR=@OpenCCM_DIR@\OpenCCM_CONFIG_DIR

if exist %OpenCCM_CONFIG_DIR% goto config_exist
echo Creating OpenCCM_CONFIG_DIR directory
mkdir %OpenCCM_CONFIG_DIR%

:config_exist
if exist %OpenCCM_CONFIG_DIR%\ComponentServers goto comp_serv_exist
echo Creating OpenCCM_CONFIG_DIR directory\ComponentServers
mkdir %OpenCCM_CONFIG_DIR%\ComponentServers

:comp_serv_exist
if exist %OpenCCM_CONFIG_DIR%\NodeManagers goto node_exist
echo Creating OpenCCM_CONFIG_DIR directory\NodeManagers
mkdir %OpenCCM_CONFIG_DIR%\NodeManagers

:node_exist
if exist %OpenCCM_CONFIG_DIR%\AssemblyFactoryManagers goto factory_exist
echo Creating OpenCCM_CONFIG_DIR directory\AssemblyFactoryManagers
mkdir %OpenCCM_CONFIG_DIR%\AssemblyFactoryManagers

:factory_exist
if exist %OpenCCM_CONFIG_DIR%\DCIManagers goto dci_exist
echo Creating OpenCCM_CONFIG_DIR directory\DCIManagers
mkdir %OpenCCM_CONFIG_DIR%\DCIManagers

:dci_exist
echo OpenCCM is installed