/*====================================================================

OpenCCM: The Open CORBA Component Model Platform
Copyright (C) 2000-2004 INRIA & USTL - LIFL - GOAL
Contact: openccm@objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Christophe Demarey.
Contributor(s): ______________________________________.

====================================================================*/

package org.objectweb.openccm.pss.demo1;

public class PersonBaseImpl extends ST_Person
{
    // ==================================================================
    //
    // Internal state.
    //
    // ==================================================================

    // ==================================================================
    //
    // Constructor.
    //
    // ==================================================================

    // ==================================================================
    //
    // Internal methods.
    //
    // ==================================================================

    // ==================================================================
    //
    // Public methods.
    //
    // ==================================================================

    /**
     * Local operation print
     */
    public String print()
    {
        Address adr = null;
        String s = null;

        s = "My First name is : " + firstName() + "\n";
        s += "My Last name is : " + lastName() + "\n";
        s += "I am " + age() + " years old!\n";
        try{
             adr = adress();
        }catch(Exception ex){
            ex.printStackTrace();
        }
        s += "My adress is : " + adr.addressLine1() + "\n";
        s += "               " + adr.addressLine2() + "\n";
        s += "               " + adr.zip() + " " + adr.city() + "\n";
        
        return s;
    }
}
